// lib/services/marine_api_service.dart

import 'package:environment_monitoring_app/services/base_api_service.dart';
import 'package:environment_monitoring_app/services/telegram_service.dart';
import 'package:environment_monitoring_app/services/server_config_service.dart';

class MarineApiService {
  final BaseApiService _baseService;
  final TelegramService _telegramService;
  final ServerConfigService _serverConfigService;

  MarineApiService(this._baseService, this._telegramService, this._serverConfigService);

  Future<Map<String, dynamic>> getTarballStations() async {
    final baseUrl = await _serverConfigService.getActiveApiUrl();
    return _baseService.get(baseUrl, 'marine/tarball/stations');
  }

  Future<Map<String, dynamic>> getManualStations() async {
    final baseUrl = await _serverConfigService.getActiveApiUrl();
    return _baseService.get(baseUrl, 'marine/manual/stations');
  }

  Future<Map<String, dynamic>> getTarballClassifications() async {
    final baseUrl = await _serverConfigService.getActiveApiUrl();
    return _baseService.get(baseUrl, 'marine/tarball/classifications');
  }
}